Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.alphabets
Class ProteinAlphabet.ProteinAlphabetParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet<T>
              de.jstacs.data.alphabets.Alphabet.AlphabetParameterSet<ProteinAlphabet>
                  de.jstacs.data.alphabets.ProteinAlphabet.ProteinAlphabetParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Singleton, Storable, Cloneable

Enclosing class:
  ProteinAlphabet

    public static final class ProteinAlphabet.ProteinAlphabetParameterSet

extends Alphabet.AlphabetParameterSet<ProteinAlphabet>
implements Singleton

The parameter set for a `ProteinAlphabet`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Nested classes/interfaces inherited from interface de.jstacs.Singleton
`Singleton.SingletonHandler`

Field Summary
`static ProteinAlphabet.ProteinAlphabetParameterSet` | `SINGLETON` The only instance of this class.

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

Methods inherited from class de.jstacs.data.alphabets.Alphabet.AlphabetParameterSet
`clone, getInstanceName`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final ProteinAlphabet.ProteinAlphabetParameterSet SINGLETON

  The only instance of this class.

  See Also:
    `Singleton`

Method Detail

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet<ProteinAlphabet>`
  Returns:
    the comment of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD